package com.goafanti.user.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.common.dao.NatureOwnershipMapper;
import com.goafanti.common.model.NatureOwnership;
import com.goafanti.user.service.NatureOwnershipService;
@Service
public class NatureOwnershipServiceImpl implements NatureOwnershipService {
	@Autowired
	private NatureOwnershipMapper natureOwnershipMapper;

	@Override
	public List<NatureOwnership> selectByUid(String uid) {
		return natureOwnershipMapper.selectByUid(uid);
	}

	@Override
	public int batchDeleteByPrimaryKey(List<String> id) {
		return natureOwnershipMapper.batchDeleteByPrimaryKey(id);
	}

	@Override
	public int batchInsert(List<NatureOwnership> no) {
		return natureOwnershipMapper.batchInsert(no);
	}

}
